Subject: RE: PROPOSAL: CAP Error codes definition and handling

From: [email-masked]
Date: Tue, 22 Jun 1999 15:51:30 -0400

Lisa asked:
>Will there ever be a need for parameters on an error message? 

Perhaps.  It could be useful (or necessary) in the future to have that 
info.

Despite all the noise on this thread so far I have not heard any reason 
why the current RFC 2445 format for Response-Status cannot be used.  Since 
we already have one "error code" format I do not see any useful reason to 
invent another.  I still propose that we reuse the format from Section 
4.8.8.2 of the iCalendar RFC for this purpose.  If anyone can give reasons 
why we should not then Id like to hear them.  Otherwise, KISS and lets not 
reinvent the wheel here (There are more important issues to handle!)...

Bruce
===========================================================================
Bruce Kahn                                INet: [email-masked]
Iris Associates                          Phone: 978.392.5335
Westford, MA, USA 01886                    FAX: and nothing but the FAX...
Standard disclaimers apply, even where prohibited by law...

---

From: Alexander Taler <[email-masked]>
Date: Tue, 22 Jun 1999 18:18:14 -0400

Bruce, 

From what I could make of the list traffic, we agreed to use the
2445 stuff with the change that the descriptive text is now 
optional.  In 2445 the text is required and there was some 
question of whether or not it had to be verbatim what was in the 
draft.

This change boils down to Doug's option 1 where the text is for 
debug and logging purposes only.

Alex

[email-masked] wrote:
> Perhaps.  It could be useful (or necessary) in the future to have
> that info.
> 
> Despite all the noise on this thread so far I have not heard any
> reason why the current RFC 2445 format for Response-Status cannot be
> used.  Since we already have one "error code" format I do not see
> any useful reason to invent another.  I still propose that we reuse
> the format from Section 4.8.8.2 of the iCalendar RFC for this
> purpose.  If anyone can give reasons why we should not then Id like
> to hear them.  Otherwise, KISS and lets not reinvent the wheel here
> (There are more important issues to handle!)...
> 
> Bruce